LibreOffice: LayoutManager Service Reference

LibreOffice LibreOffice 5.1 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
LayoutManager Service Reference

controls the layout of user interface elements which are part of a frame. More...

`import"LayoutManager.idl";`

Inheritance diagram for LayoutManager:

## Additional Inherited Members
Exported Interfaces inherited from XLayoutManager2
interface | ::com::sun::star::frame::XLayoutManager
| central interface to query for, create, destroy and manipulate user interface elements which are bound to a frame. More...
interface | ::com::sun::star::frame::XFrameActionListener
| notification interface to receive status information about the state of the connected frame. More...
interface | ::com::sun::star::ui::XUIConfigurationListener
| notification interface to receive change messages of user interface elements which are part of the layout manager. More...
interface | ::com::sun::star::frame::XMenuBarMergingAcceptor
| provides functions to merge menus for inplace editing of components inside OpenOffice.org. More...
interface | ::com::sun::star::frame::XLayoutManagerEventBroadcaster
| registers listeners that want to receive layout manager events. More...
Public Member Functions inherited from XLayoutManager
void | attachFrame ([in] com::sun::star::frame::XFrame Frame)
| attaches a com::sun::star::frame::XFrame to a layout manager. More...
void | reset ()
| resets the layout manager and remove all of its internal user interface elements. More...
com::sun::star::awt::Rectangle | getCurrentDockingArea ()
| provides the current docking area size of the layout manager. More...
com::sun::star::ui::XDockingAreaAcceptor | getDockingAreaAcceptor ()
| retrieves the current docking area acceptor that controls the border space of the frame's container window. More...
void | setDockingAreaAcceptor ([in] com::sun::star::ui::XDockingAreaAcceptor xDockingAreaAcceptor)
| sets a docking area acceptor that controls the border space of the frame's container window. More...
void | createElement ([in] string ResourceURL)
| creates a new user interface element. More...
void | destroyElement ([in] string ResourceURL)
| destroys a user interface element. More...
boolean | requestElement ([in] string ResourceURL)
| request to make a user interface element visible if it is not in hidden state. More...
com::sun::star::ui::XUIElement | getElement ([in] string ResourceURL)
| retrieves a user interface element which has been created before. More...
sequence< com::sun::star::ui::XUIElement > | getElements ()
| retrieves all user interface elements which are currently instantiated. More...
boolean | showElement ([in] string ResourceURL)
| shows a user interface element. More...
boolean | hideElement ([in] string ResourceURL)
| hides a user interface element. More...
boolean | dockWindow ([in] string ResourceURL, [in] com::sun::star::ui::DockingArea DockingArea, [in] com::sun::star::awt::Point Pos)
| docks a window based user interface element to a specified docking area. More...
boolean | dockAllWindows ([in] short nElementType)
| docks all windows which are member of the provided user interface element type. More...
boolean | floatWindow ([in] string ResourceURL)
| forces a window based user interface element to float. More...
boolean | lockWindow ([in] string ResourceURL)
| locks a window based user interface element if it's in a docked state. More...
boolean | unlockWindow ([in] string ResourceURL)
| unlocks a window based user interface element if it's in a docked state. More...
void | setElementSize ([in] string ResourceURL, [in] com::sun::star::awt::Size Size)
| sets a new size for a window based user interface element. More...
void | setElementPos ([in] string ResourceURL, [in] com::sun::star::awt::Point Pos)
| sets a new position for a window based user interface element. More...
void | setElementPosSize ([in] string ResourceURL, [in] com::sun::star::awt::Point Pos, [in] com::sun::star::awt::Size Size)
| sets a new position and size for a window based user interface element. More...
boolean | isElementVisible ([in] string ResourceURL)
| retrieves the current visibility state of a window based user interface element. More...
boolean | isElementFloating ([in] string ResourceURL)
| retrieves the current floating state of a window based user interface element. More...
boolean | isElementDocked ([in] string ResourceURL)
| retrieves the current docking state of a window based user interface element. More...
boolean | isElementLocked ([in] string ResourceURL)
| retrieves the current lock state of a window based user interface element. More...
com::sun::star::awt::Size | getElementSize ([in] string ResourceURL)
| retrieves the current size of a window based user interface element. More...
com::sun::star::awt::Point | getElementPos ([in] string ResourceURL)
| retrieves the current pixel position of a window based user interface element. More...
void | lock ()
| prohibit all layout updates until unlock is called again. More...
void | unlock ()
| permit layout updates again. More...
void | doLayout ()
| forces a complete new layouting of all user interface elements. More...
void | setVisible ([in] boolean Visible)
| sets the layout manager to invisible state and hides all user interface elements. More...
boolean | isVisible ()
| retrieves the visibility state of a layout manager. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XFrameActionListener
void | frameAction ([in] FrameActionEvent Action)
| is called whenever any action occurs to a component within a frame. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XUIConfigurationListener
void | elementInserted ([in]::com::sun::star::ui::ConfigurationEvent Event)
| is invoked when a configuration has inserted an user interface element. More...
void | elementRemoved ([in]::com::sun::star::ui::ConfigurationEvent Event)
| is invoked when a configuration has removed an user interface element. More...
void | elementReplaced ([in]::com::sun::star::ui::ConfigurationEvent Event)
| is invoked when a configuration has replaced an user interface element. More...
Public Member Functions inherited from XMenuBarMergingAcceptor
boolean | setMergedMenuBar ([in]::com::sun::star::container::XIndexAccess xMergedMenuBar)
| allows to set a merged menu bar. More...
void | removeMergedMenuBar ()
| removes a previously set merged menu bar and sets a previously created menu bar back. More...
Public Member Functions inherited from XLayoutManagerEventBroadcaster
void | addLayoutManagerEventListener ([in] XLayoutManagerListener aLayoutManagerListener)
| adds a layout manager event listener to the object's listener list. More...
void | removeLayoutManagerEventListener ([in] XLayoutManagerListener aLayoutManagerListener)
| removes a layout manager event listener from the object's listener list. More...

## Detailed Description

controls the layout of user interface elements which are part of a frame.

Layout management is the process of determining the size and position of user interface elements. By default, each Frame has a layout manager – it performs layout management for the user interface elements within the frame. User interface elements can provide size and alignment hints to layout managers, but layout managers have the final decision on the size and position of those user interface elements.

Since
  OOo 2.0

The documentation for this service was generated from the following file:

- com/sun/star/frame/LayoutManager.idl